Subject: New parameters passed through the Ganeti OS Interface (used by the Image Registry)

Description

This ticket has 3 sections:

1. Decide which parameters are needed so that the backend can discover actual Images in different locations

2. Changes in the logic/backend.py, to pass those parameters via RAPI

3. Changes in gnt-instance-image, so that it can handle those parameters and access the actual Image

Related issues:

related to Synnefo - Feature # 1093: Implementation of <personality> in Compu... Closed 09/13/2011 09/19/2011

blocks Synnefo - Feature # 991: Extend Synnefo mechanism to support custom Im... Assigned 08/03/2011

History

#1 - 08/03/2011 06:53 pm - Vangelis Koukis

- Target version set to v0.7

#2 - 10/07/2011 11:59 am - Constantinos Venetsanopoulos

- Status changed from Assigned to Resolved

1. The 4 parameters are: img_id (unique id of the image - either path or url), img_format (the type of the image e.g. extdump), img_passwd (password to be

injected into the image), img_personality (the files to be injected inside the image as described at #1095).

2. Done (#1093).

3. gnt-instance-image is replaced by the snf-image OS Provider, which handles all the above parameters.

#3 - 10/10/2011 02:19 pm - Vangelis Koukis

- Status changed from Resolved to Assigned

The above need to be documented in a README inside the snf-image repository, will close the ticket once this is done.

#4 - 10/11/2011 01:05 pm - Vangelis Koukis

- Status changed from Assigned to Closed

The snf-image OS provider has been documented extensively in its own Wiki, https://code.grnet.gr/projects/snf-image/wiki, a README has been added to

the top-level project directory in the repository, this ticket may close.
